Get OIDCProvider Available Service Accounts
https://app.fossa.com/api/oidc/providers/{id}/available-service-accountsThis endpoint returns service accounts that can be used when creating new trust relationships for an OIDC Provider. If the user making the request has organization-level permission to manage trust relationships, then this will return all available service accounts. Otherwise, if the user only has team-level permission to manage trust relationships, then a `teamId` query parameter must be provided to filter the available service accounts to only those on the team.
Path parameters
idintegerrequiredThe ID of the OIDC Provider
Query parameters
teamIdintegerThe team ID that the service account must be a member of. Required if the user making the request only has team-level permission to manage trust relationships. If the user has organization-level permission then this parameter has no effect.
pageSizeintegerNumber of service accounts to return
previntegerID of the last service account from the previous page for pagination
Responses
200Successfully retrieved available service accountsresultsobject[]requiredArray of available service accounts
idintegerrequiredThe service account ID
usernamestringrequiredThe service account username
emailstring <email>requiredThe service account email
pageSizeintegerrequiredNumber of items requested per page
lastintegerrequiredID of the last service account in the results array for pagination
400Bad RequestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
401UnauthorizeduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404OIDC Provider not founduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/oidc/providers/123/available-service-accountscurl --request GET \ --url 'https://app.fossa.com/api/oidc/providers/123/available-service-accounts' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.
Path params
idintegerrequiredThe ID of the OIDC Provider
Query params
teamIdintegerThe team ID that the service account must be a member of. Required if the user making the request only has team-level permission to manage trust relationships. If the user has organization-level permission then this parameter has no effect.
pageSizeintegerNumber of service accounts to return
previntegerID of the last service account from the previous page for pagination